<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/rank_item_cons"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:paddingStart="12dp"
        android:paddingTop="10dp"
        android:paddingEnd="12dp"
        android:paddingBottom="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:id="@+id/rank_item_relative"
            android:layout_width="55dp"
            android:layout_height="55dp"
            android:layout_marginStart="26dp"
            android:background="@mipmap/rank_image_bg_4"
            android:padding="4dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/rank_item_id"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/rank_item_image"
                android:layout_width="37dp"
                android:layout_height="37dp"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true" />
        </RelativeLayout>

        <com.air.airhornprank.tool.MyTextView
            android:id="@+id/rank_item_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:gravity="center"
            android:textColor="@color/black"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/rank_item_relative"
            app:layout_constraintTop_toTopOf="parent" />

        <com.air.airhornprank.tool.MyTextView
            android:id="@+id/rank_item_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textColor="@color/tab_check"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/rank_item_like"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:background="@drawable/icon_unlike"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/rank_item_view"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        app:layout_constraintTop_toBottomOf="@id/rank_item_cons" />

</androidx.constraintlayout.widget.ConstraintLayout>